Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Running on the original version 1.1.8...Anyone else?

Discussion in 'Pro/Adv Discussion' started by Pinch1020, Jan 5, 2016.

  1. Pinch1020

    Joined:
    Feb 16, 2014
    Messages:
    59
    Likes Received:
    7
    Location:
    New Bedford, Massachusetts
    Hi folks,
    When I got my P3P in April it was at 1.1.6 and needed to be updated to 1.1.8 before flying. So I did, and everything still works great, I'm even using the old DJI app too. Is anyone else using the old version? When the updates were being released back then, it seemed like a new release once a week with bugs galore. What will be the drawbacks from not updating? Your input is much appreciated.

    Thanks, Victor....
     
  2. bbfpv

    Joined:
    Feb 3, 2015
    Messages:
    3,858
    Likes Received:
    1,154
    Location:
    Long Island, NY
    im on 1.1.9 or the one after.
     
  3. Solar Deity

    Joined:
    Nov 29, 2015
    Messages:
    270
    Likes Received:
    145
    Location:
    Upstate NY
    P3P on 1.1.9 that I bought Black Friday. 38 flights, 353,000 feet. After a cold IMU calibration, zero issues so far.

    I'm not touching a thing any time soon.

    SD
     
Loading...
Similar Threads - Running original version Forum Date
1st P4P flight ever, running newest firmware, few app bugs Phantom 4 Pro Discussion Jan 1, 2018
Running through wine country Photos and Video Dec 17, 2017
Latest DJI Go not running on Ipad Mini 3 with P3P Pro/Adv Discussion Nov 26, 2017
Question for Canadian's running 1.09.20 Firmware Standard Nov 1, 2017
Black verticle stripes running through video. Phantom 4 Help Oct 28, 2017